List opportunities
GET /pipelines/{pipeline_id}/opportunities
curl -X GET "https://app.bualpro.com/api/pipelines/3.14/opportunities?contact_id=3.14&offset=0&limit=100" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY"
import requests
import json
url = "https://app.bualpro.com/api/pipelines/3.14/opportunities?contact_id=3.14&offset=0&limit=100"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/pipelines/3.14/opportunities?contact_id=3.14&offset=0&limit=100", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.bualpro.com/api/pipelines/3.14/opportunities?contact_id=3.14&offset=0&limit=100", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/pipelines/3.14/opportunities?contact_id=3.14&offset=0&limit=100')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": [
{
"id": 3.14,
"contact_id": 3.14,
"title": "example_string",
"description": "example_string",
"value": 3.14,
"status": "example_string",
"priority": "example_string",
"stage": {
"id": 3.14,
"name": "Johan Ahmad"
},
"assigned_admins": [
3.14
],
"created_at": "2028-02-08 12:34:56",
"created_by": 3.14,
"updated_at": "2028-02-08 12:34:56",
"updated_by": 3.14
}
]
}
/pipelines/{pipeline_id}/opportunitiesTarget server for requests. Edit to use your own host.
API key (sent in header)
The ID of the contact to filter the opportunities.
Specifies the starting position of the first record to return in a paginated response.
Sets the maximum number of records to return per request.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Query Parameters
The ID of the contact to filter the opportunities.
Specifies the starting position of the first record to return in a paginated response.
Sets the maximum number of records to return per request.
Responses
Get list of opportunities / tickets